%this file generates a density matrix of a coherent state with amplitude
%alpha=x+ip up to photon number=num_max
num_max=15;
x=1;
p=1;
rho_mle=zeros(num_max+1,num_max+1);
for m=0:num_max
    for n=0:num_max
        rho_mle(m+1,n+1)=exp(-x^2-p^2)*(x+i*p)^n*(x-i*p)^m/realsqrt(factorial(m)*factorial(n));
    end
end
save coherent rho_mle